Memory Stores
Get an update result
Retrieves the status and result of a memory store update operation.
Headerparameter
Foundry-Features
enum
Erforderlich
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Pfadparameter
name
string
Erforderlich
The name of the memory store.
update_id
string
Erforderlich
The ID of the memory update operation.
Abfrageparameter
api-version
string
Erforderlich
The API version to use for this operation.
Antworten
The request has succeeded.
Text
update_id
string
Erforderlich
The unique ID of this update request. Use this value as previous_update_id in subsequent requests to perform incremental updates.
status
string | enum
Erforderlich
Status of a memory store update operation.
enum
superseded_by
string
The update_id the operation was superseded by when status is "superseded".
result
MemoryStoreUpdateCompletedResult
Memory update result.
memory_operations
MemoryOperation[]
Erforderlich
A list of individual memory operations that were performed during the update.
usage
MemoryStoreOperationUsage
Erforderlich
Usage statistics of a memory store operation.
embedding_tokens
integer
Erforderlich
The number of embedding tokens.
input_tokens_details
OpenAI.ResponseUsageInputTokensDetails
Erforderlich
output_tokens_details
OpenAI.ResponseUsageOutputTokensDetails
Erforderlich
error
OpenAI.Error
misalignment
OpenAI.MisalignmentErrorDetailsResource
error_type
string | enum
enum
detailed_explanation
string
The public explanation for this block.
steer
OpenAI._MisalignmentSteer
message
string
Erforderlich
The public continuation instruction.
Anfordern
GET /memory_stores/{name}/updates/{update_id} HTTP/1.1
Antwort
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json